Bug 925423 - glew: Does not support aarch64 in f19 and rawhide
glew: Does not support aarch64 in f19 and rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glew (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2013-03-22 20:32 EDT by Dennis Gilmore
Modified: 2014-05-03 07:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-03 07:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update config.guess to recognize aarch64 (1.08 KB, patch)
2013-06-26 08:20 EDT, Mark Salter
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2013-03-22 20:32:26 EDT
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  glew appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/glew/glew-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.
Comment 1 Mark Salter 2013-06-26 08:20:11 EDT
Created attachment 765534 [details]
update config.guess to recognize aarch64

Note You need to log in before you can comment on or make changes to this bug.